import type { _NSScriptClassDescription } from "./NSScriptClassDescription.js";
import type { _NSScriptObjectSpecifier } from "./NSScriptObjectSpecifier.js";
import type { _NSString } from "./NSString.js";
export declare class _NSIndexSpecifier extends _NSScriptObjectSpecifier {
    static alloc(): _NSIndexSpecifier;
    static new(): _NSIndexSpecifier;
    init(): _NSIndexSpecifier;
    initWithContainerClassDescription$containerSpecifier$key$index$(classDesc: _NSScriptClassDescription, container: _NSScriptObjectSpecifier | null, property: _NSString, index: number): _NSIndexSpecifier;
    index(): number;
    setIndex$(value: number): void;
}
